<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
       
require_once"../template/isset.php";

$uz=check($uz);  
$rand=rand(1000,9999);
       
$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);}

if (!$_SESSION['log']=="" && !md5($_SESSION['par'])=="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
	
//------------------------------ Очистка привата ----------------------//	
if($action=="alldel"){
clear_files("../local/privat/$log.$config_priv");
header ("Location: privat.php?isset=alldelpriv&".SID); exit;
}	


if($action=="delmess"){
if($id!=""){
$file=file("../local/privat/$log.$config_priv"); 
$fp=fopen("../local/privat/$log.$config_priv","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$id) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
header ("Location: privat.php?isset=delpriv&".SID); exit;
}

if($action=="selectdel"){
$file=file("../local/privat/$log.$config_priv"); 
$fp=fopen("../local/privat/$log.$config_priv","w");
flock ($fp,LOCK_EX);
$i=0;
while ( isset($file[$i])) { 
if (isset($_POST["check$i"])) {
unset($file[$i]);} 
$i++;
}
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
header ("Location: privat.php?isset=selectpriv&".SID); exit;
}


//------------------------------ Очистка исходящего привата ----------------------//	
if($action=="alloutdel"){
clear_files("../local/dataoutput/$log.$config_priv");
header ("Location: privat.php?action=output&isset=alldelpriv&".SID); exit;
}	

if($action=="deloutmess"){
if($outid!=""){
$file=file("../local/dataoutput/$log.$config_priv"); 
$fp=fopen("../local/dataoutput/$log.$config_priv","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$outid) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
}
header ("Location: privat.php?action=output&isset=delpriv&".SID); exit;
}



	
//------------------------------ Главная привата ----------------------//
if(!isset($action)) {
	
//------------------------------Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$log.prof"); 
$udata = explode(":||:",$ufile[0]);

if($udata[10]>0){
$udata[10]=0;
$udata[14]=check($ip);
for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$log.prof","a+");  
flock ($fp,LOCK_EX); 
ftruncate ($fp,0);                                                              
fputs($fp,$utext);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);  
unset($utext);
}}


$file = file("../local/privat/$log.$config_priv");
$file = array_reverse($file);
$filesize= filesize("../local/privat/$log.$config_priv");
$filesize=round($filesize/1024,2);
$pers=round($filesize*100/$config_limitsmail);

echo'<img src="../images/img/mails.gif" alt=""> <b>Моя почта (Входящие)</b><br><br>';
echo'<img src="../images/img/mail2.gif" alt=""> <b><a href="privat.php?action=output&amp;'.SID.'">Исходящие</a></b><br>';

if($udata[10]>=1){echo'Вам поступило новых писем: <b>'.$udata[10].'</b><br>';}

if($pers>=80 && $pers<98){
echo'<div align="center">';
echo'<b>Ваш ящик почти заполнен, необходимо его очистить или удалить старые сообщения!</b><br>'; 
echo'</div>';}

if($pers>=98){
echo'<div align="center">';
echo'<b>Ваш ящик переполнен, вы не сможете получать письма, пока не очистите его!</b><br>'; 
echo'</div>';}

$total = count($file);
if($total<1){echo '<br><img src="../images/img/error.gif" alt=""> <b>Входящих писем нет</b>';}

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_privatpost){ $end = $total; }
else {$end = $start + $config_privatpost; }

if($config_themes!="wml"  && $total>1){echo '<form action="privat.php?action=selectdel&amp;'.SID.'" method="POST">';}

for ($i = $start; $i < $end; $i++){
$num=$total-$i-1;
$udats = explode("|",$file[$i]);
$login=check(trim($udats[0]));
$pismo=trim($udats[1]);
$pismo=base64_decode($pismo);
$dats=check(trim($udats[2]));


$statwho='<font color="red">[Off]</font>';
$sublines=file("../local/online.dat"); 
$subcount=count($sublines);
for ($b=0; $b<$subcount; $b++) {$dt=explode("#",$sublines[$b]); if ($dt[2]==$login) 
{$statwho='<font color="#00FF00">[On]</font>';}}

echo '<div class=b>';
if($config_themes!="wml" && $total>1) {echo '<input type="checkbox" name="check'.$num.'" /> ';}
echo '<img src="../images/img/mail.gif" alt=""> ';
echo '<b><a href="anketa.php?uz='.$login.'&amp;'.SID.'">'.nickname($login).'</a></b> '.$statwho.' ('.$dats.')'; 
echo '</div>';
echo bb_code($pismo).' <br><a href="privat.php?action=submit&amp;uz='.$login.'&amp;'.SID.'">Ответить</a> | ';
echo '<a href="privat.php?action=delmess&amp;id='.$num.'&amp;'.SID.'">Удалить</a> | ';
echo '<a href="kontakt.php?action=add&amp;uz='.$login.'&amp;'.SID.'">В контакт</a> | ';
echo '<a href="ignor.php?action=add&amp;uz='.$login.'&amp;'.SID.'">Игнор</a><br>';
}
if($config_themes!="wml" && $total>1) {echo '<br><input type="submit" value="Удалить выбранное" /></form>';}
echo'<hr>';
if ($start != 0) {echo '<a href="privat.php?start='.($start - $config_privatpost).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + $config_privatpost) {echo ' <a href="privat.php?start='.($start + $config_privatpost).'&amp;'.SID.'">Далее-&gt;</a>';}else{echo' Далее-&gt;';}

if($total>0){
$ba=floor($total/$config_privatpost);
$ba2=$ba*$config_privatpost;

echo'<hr>Страницы:';
$asd=$start-($config_privatpost*4);
$asd2=$start+($config_privatpost*5);

if($asd<$total && $asd>0){echo ' <a href="privat.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_privatpost);

if ($start==$i) {
echo ' <b>'.(int)$ii.'</b>';
               }
                else {
echo ' <a href="privat.php?start='.$i.'&amp;'.SID.'">'.(int)$ii.'</a>';
                     }}


$i=$i+$config_privatpost;}
if($asd2<$total){echo ' ... <a href="privat.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}

echo'<br><br>Всего входящих писем: '.$total;
echo'<br>Ящик заполнен на: '.$pers.'%<br>';


echo'<br><img src="../images/img/mail.gif" alt=""> <a href="privat.php?action=submit&amp;'.SID.'">Отправить письмо</a><br>';
echo'<img src="../images/img/reload.gif" alt=""> <a href="privat.php?rand='.$rand.'&amp;'.SID.'">Обновить список</a><br>';
if($total>=2){echo'<img src="../images/img/error.gif" alt=""> <a href="privat.php?action=alldel&amp;'.SID.'">Очистить ящик</a><br>';}
}

//------------------------- Отправка привата -----------------------------//
if($action=="submit"){
echo'<img src="../images/img/mails.gif" alt=""> <b>Отправка почты</b><br><br>';

if($config_themes!=="wml"){
echo'<form method="post" action="addpriv.php?'.SID.'">';

if(empty($uz) || eregi("[^a-z0-9-]",$uz)){echo'Введите имя:<br>';

echo'<input type="text" name="uz" maxlength="20" /><br>';
}else{
echo'Сообщение для <b>'.$uz.'</b>:<br><br>';}

echo'Текст:<br>';
echo'<textarea cols="25" rows="3" name="mess"></textarea><br>';

if($config_translit=="1"){
echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}

if(!empty($uz)){echo'<input name="uz" type="hidden" value="'.$uz.'" />';}
echo'<input value="Отправить" name="do" type="submit" /></form><hr>';

}else{

if(empty($uz) || eregi("[^a-z0-9-]",$uz)){echo'Введите имя:<br>';
echo'<input name="uz" maxlength="20"/><br>';

}else{echo'Сообщение для <b>'.$uz.'</b>:<br><br>';}


echo'Сообщение:<br>';
echo'<input name="mess"/><br>';

if($config_translit=="1"){
echo'Транслит: <select name="trans"><option value="0">Нет</option>';
echo'<option value="y">Да</option>';
echo'</select><br>';}

echo'<anchor>Отправить';
echo'<go href="addpriv.php?'.SID.'" method="post">';
echo'<postfield name="trans" value="$(trans)"/>';

if(!empty($uz)){echo'<postfield name="uz" value="'.$uz.'"/>';
}else{
echo'<postfield name="uz" value="$(uz)"/>';}
echo'<postfield name="mess" value="$(mess)"/>';
echo'</go></anchor><br>--------------------<br>'; }


echo'<img src="../images/img/back.gif" alt=""> <a href="privat.php?'.SID.'">Перейти в приват</a><br>';
}


if($action=="output"){	
	
echo'<img src="../images/img/mails.gif" alt=""> <b>Моя почта (Исходящие)</b><br><br>';
echo'<img src="../images/img/mail2.gif" alt=""> <b><a href="privat.php?'.SID.'">Входящие</a></b><br>';


$file = file("../local/dataoutput/$log.$config_priv");
$file = array_reverse($file);

$total = count($file);
if($total<1){echo '<br><img src="../images/img/error.gif" alt=""> <b>Исходящих писем нет</b>';}

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_privatpost){ $end = $total; }
else {$end = $start + $config_privatpost; }
for ($i = $start; $i < $end; $i++){

$num=$total-$i-1;


$udats = explode("|",$file[$i]);
$login=check(trim($udats[0]));
$pismo=trim($udats[1]);
$pismo=base64_decode($pismo);
$dats=check(trim($udats[2]));

echo '<div class=b><img src="../images/img/mail.gif" alt=""> ';
echo 'Получатель: <b><a href="anketa.php?uz='.$login.'&amp;'.SID.'">'.$login.'</a></b> ('.$dats.')</div>'; 

echo 'Текст письма: '.bb_code($pismo).' <br>';
echo '<a href="privat.php?action=submit&amp;uz='.$login.'&amp;'.SID.'">Написать еще</a> | ';
echo '<a href="privat.php?action=output&amp;action=deloutmess&amp;outid='.$num.'&amp;'.SID.'">Удалить</a><br>';
}

echo'<hr>';
if ($start != 0) {echo '<a href="privat.php?action=output&amp;start='.($start - $config_privatpost).'&amp;'.SID.'">&lt;-Назад</a> ';}else{echo'&lt;-Назад ';}
echo'|'; 
if ($total > $start + $config_privatpost) {echo ' <a href="privat.php?action=output&amp;start='.($start + $config_privatpost).'&amp;'.SID.'">Далее-&gt</a>';}else{echo' Далее-&gt;';}

echo'<hr><img src="../images/img/mail.gif" alt=""> <a href="privat.php?action=submit&amp;'.SID.'">Отправить письмо</a><br>';
if($total>=2){echo'<img src="../images/img/error.gif" alt=""> <a href="privat.php?action=alloutdel&amp;'.SID.'">Очистить ящик</a><br>';}

}


} else{ echo'Вы не авторизованы,<br> для просмотра писем необходимо <a href="vhod.php?'.SID.'"> авторизоваться</a><br> или сперва <a href="registration.php?'.SID.'"> зарегистрироваться</a><br>';}

echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">Вернуться на главную</a>';
include_once"../themes/$config_themes/foot.php";
?>